/ api / name / gb.tozerostring
GB.ToZeroString
Syntax

    char *GB.ToZeroString ( GB_STRING *src )

Creates a temporary null terminated string from a Gambas string parameter, and returns it.

- src is the Gambas string parameter.

The returned string will be automatically destroyed by the interpreter later. You cannot create more than 32 temporary strings at the same time.

If src is a null string, then `GB.ToZeroString` will return a pointer to a zero-length string. It will never return a null pointer.

### See also

String Management GB_STRING